﻿namespace Platform.Geo
{
    public enum GeoRouteStatus
    {
        //
        // Summary:
        //     The query was successful.
        Success = 0,
        //
        // Summary:
        //     The query returned an unknown error.
        UnknownError = 1,
        //
        // Summary:
        //     The query provided credentials that are not valid.
        InvalidCredentials = 2,
        //
        // Summary:
        //     The query did not find a route.
        NoRouteFound = 3,
        //
        // Summary:
        //     The query did not find a route with the specified options.
        NoRouteFoundWithGivenOptions = 4,
        //
        // Summary:
        //     The specified starting point is not valid in a route. For example, the point
        //     is in an ocean or a desert.
        StartPointNotFound = 5,
        //
        // Summary:
        //     The specified ending point is not valid in a route. For example, the point is
        //     in an ocean or a desert.
        EndPointNotFound = 6,
        //
        // Summary:
        //     The query did not find a pedestrian route.
        NoPedestrianRouteFound = 7,
        //
        // Summary:
        //     The query encountered a network failure.
        NetworkFailure = 8,
        //
        // Summary:
        //     The query is not supported.
        NotSupported = 9
    }
}
